<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

add_action('admin_init', 'wpjanitor_admin_init');
function wpjanitor_admin_init(){
	add_filter( 'plugin_action_links_'.JANITOR__PLUGIN_BASENAME, 'wpjanitor_plugin_action_links' );
}

function wpjanitor_plugin_action_links($links){
    
    $action_links = array(
		'settings' => '<a href="' . admin_url( 'admin.php?page=janitor' ) . '" title="' . esc_attr( __( 'Settings', '' ) ) . '">' . __( 'Settings', '' ) . '</a>',
	);
	
	return array_merge( $action_links, $links );
    
}

function janitor_style() {
        wp_register_style( 'janitor_ce_css', JANITOR__PLUGIN_URL . '/css/janitorCss.css', false, '1.0.0' );
		wp_register_style( 'janitor_hint_css', JANITOR__PLUGIN_URL . '/css/hint.min.css', false, '1.0.0' );
		wp_register_style( 'googlefontdroid_janitor', 'https://fonts.googleapis.com/css?family=Droid+Serif:400,400italic,700,700italic', array(), '' );
		wp_register_style( 'googlefonthind_janitor', 'https://fonts.googleapis.com/css?family=Hind:400,500,600,700,300', array(), '' );
		wp_register_style( 'googlefontroboto_janitor', 'https://fonts.googleapis.com/css?family=Roboto:100,400,700,500,300,300italic', array(), '' );
}
add_action( 'admin_enqueue_scripts', 'janitor_style' );

add_action( 'admin_menu', 'janitor_admin_menu', 9 );
function janitor_admin_menu()
{
	add_menu_page( 'Janitor Setting', 'Janitor', 'manage_options', 'Janitor', 'Janitor_setting_page', JANITOR__PLUGIN_URL . '/images/Clean.png');
}

function Janitor_setting_page(){
    wp_enqueue_style( 'googlefontdroid_janitor' );
    wp_enqueue_style( 'janitor_ce_css' );
    wp_enqueue_style( 'janitor_hint_css' );
    ?>
<style>
.janitor_switch_name {
    position: relative !important; width: 62px !important;margin: 5px  !important;
    -webkit-user-select:none !important; -moz-user-select:none !important; -ms-user-select: none !important;
}
.janitor_switch_name-checkbox {
    display: none !important;
}
.janitor_switch_name-label {
    display: block !important; overflow: hidden !important; cursor: pointer !important;box-shadow: 0 0 5px #000;
     border-radius: 20px !important;
}
.janitor_switch_name-inner {
    display: block !important; width: 200% !important; margin-left: -100% !important;
    transition: margin 0.3s ease-in 0s !important;
}
.janitor_switch_name-inner:before, .janitor_switch_name-inner:after {
    display: block !important; float: left !important; width: 50% !important; height: 24px !important; padding: 0 !important; line-height: 24px !important;
    font-size: 15px !important; color: white !important; font-family: Trebuchet, Arial, sans-serif !important; font-weight: 500 !important;
    box-sizing: border-box !important;
}
.janitor_switch_name-inner:before {
    content: "ON" !important;
    text-align: -webkit-left;
    text-align: -moz-left;
    text-align: left;
    padding-left: 6px !important;
    background-color: #00a0d2; color: #FFFFFF !important;
}
.janitor_switch_name-inner:after {
    content: "OFF" !important;
    padding-right: 6px !important;
    background-color: #f0ad4e !important; color: #fbfafa !important;
    text-align: right !important;
}
.janitor_switch_name-switch {
    display: block !important; width: 17px !important; margin: 3px !important;
    background: #FFFFFF !important;
    position: absolute !important; top: 0 !important; bottom: 0 !important;
     right: 39px;
     border-radius: 20px !important;
    transition: all 0.3s ease-in 0s !important; 
}
.janitor_switch_name-checkbox:checked + .janitor_switch_name-label .janitor_switch_name-inner {
    margin-left: 0px !important;
}
.janitor_switch_name-checkbox:checked + .janitor_switch_name-label .janitor_switch_name-switch {
    right: 0px !important; 
}    
</style>
<div id="janitor_contener" class="wrap">
    <div class="janitor_admin_icon">
                
                <h1><?php echo __('Janitor Setting Page', 'Janitor_Setting_Page' ); ?></h1>
            </div>
  
    <form class="janitor_form" action="" method="POST">
        
        <div class="janitor_inner_form">  
            <h2 class="janitor_form1h"><span>Extensive Cleaner</span></h2>
            
    <div class="container1">    
    <div class="janitor_main_container">
        <div class="janitor_secondry_container hint--top hint--rounded" aria-label='Delete - <meta name="generator" content="Wordpress x.x.x"/>'>
            <div class="janitor_main_text">
                <h1 for="sticky-element">Switch on and remove WP Generator Meta</h1>
            </div>
            <div  class="janitor_main_switch">    
    <div class="janitor_switch_name">
        <input type="checkbox" name="janitor_switch_name1" class="janitor_switch_name-checkbox" id="janitor_switch1" <?php if( get_option('janitor_switch_name1')=='on' ){ echo 'checked'; } ?>/>
            <label class="janitor_switch_name-label" for="janitor_switch1">
                <span class="janitor_switch_name-inner"></span>
                <span class="janitor_switch_name-switch"></span>
            </label>
    </div>
    </div>
        </div>
    </div>
        
    </div>
<!--//================================================================            -->  

<div class="container1">    
    <div class="janitor_main_container">
        <div class="janitor_secondry_container hint--top hint--rounded" aria-label='Delete - <meta name="generator" content="WooCommerce x.x.x"/>'>
            <div class="janitor_main_text">
                <h1 for="sticky-element">Switch on and remove Woocommerce Generator meta</h1>
            </div>
            <div  class="janitor_main_switch">    
    <div class="janitor_switch_name">
        <input type="checkbox" name="janitor_switch_name16" class="janitor_switch_name-checkbox" id="janitor_switch16" <?php if( get_option('janitor_switch_name16')=='on' ){ echo 'checked'; } ?>/>
            <label class="janitor_switch_name-label" for="janitor_switch16">
                <span class="janitor_switch_name-inner"></span>
                <span class="janitor_switch_name-switch"></span>
            </label>
    </div>
    </div>
        </div>
    </div>
        
    </div>
            
<!--//================================================================            -->

    <div class="container1">    
    <div class="janitor_main_container">
        <div class="janitor_secondry_container hint--top hint--rounded" aria-label='Delete - Emoji styles and javascript from header.'>
            <div class="janitor_main_text">
                <h1 for="sticky-element">Switch on and disable WP Emojicons</h1>
            </div>
            <div  class="janitor_main_switch">    
    <div class="janitor_switch_name">
        <input type="checkbox" name="janitor_switch_name2" class="janitor_switch_name-checkbox" id="janitor_switch2" <?php if( get_option('janitor_switch_name2')=='on' ){ echo 'checked'; } ?>/>
            <label class="janitor_switch_name-label" for="janitor_switch2">
                <span class="janitor_switch_name-inner"></span>
                <span class="janitor_switch_name-switch"></span>
            </label>
    </div>
    </div>
        </div>
    </div>
        
    </div>

<!--//================================================================            -->

    <div class="container1">    
    <div class="janitor_main_container">
        <div class="janitor_secondry_container hint--top hint--rounded" aria-label='Delete - Emoji styles and javascript from header.'>
            <div class="janitor_main_text">
                <h1 for="sticky-element">Switch on and disable WP TinyMCE Emojicons</h1>
            </div>
            <div  class="janitor_main_switch">    
    <div class="janitor_switch_name">
        <input type="checkbox" name="janitor_switch_name17" class="janitor_switch_name-checkbox" id="janitor_switch17" <?php if( get_option('janitor_switch_name17')=='on' ){ echo 'checked'; } ?>/>
            <label class="janitor_switch_name-label" for="janitor_switch17">
                <span class="janitor_switch_name-inner"></span>
                <span class="janitor_switch_name-switch"></span>
            </label>
    </div>
    </div>
        </div>
    </div>
        
    </div>
           
<!--//================================================================            -->
            <div class="container1">    
    <div class="janitor_main_container">
        <div class="janitor_secondry_container hint--top hint--rounded hint--large" aria-label='Delete - <link rel="EditURI" type="application/rsd+xml" title="RSD" href="http://localhost/wordpress-plugin-build/xmlrpc.php?rsd" />'>
            <div class="janitor_main_text">
                <h1 for="sticky-element">Switch on and remove RSD links</h1>
            </div>
            <div  class="janitor_main_switch">    
    <div class="janitor_switch_name">
        <input type="checkbox" name="janitor_switch_name3" class="janitor_switch_name-checkbox" id="janitor_switch3" <?php if( get_option('janitor_switch_name3')=='on' ){ echo 'checked'; } ?>/>
            <label class="janitor_switch_name-label" for="janitor_switch3">
                <span class="janitor_switch_name-inner"></span>
                <span class="janitor_switch_name-switch"></span>
            </label>
    </div>
    </div>
        </div>
    </div>
        
    </div>
          
<!--//================================================================-->
         <div class="container1">    
    <div class="janitor_main_container">
        <div class="janitor_secondry_container hint--top hint--rounded hint--large" aria-label='Delete - <link rel="wlwmanifest" type="application/wlwmanifest+xml" href="http://localhost/wordpress-plugin-build/wp-includes/wlwmanifest.xml" />'>
            <div class="janitor_main_text">
                <h1 for="sticky-element">Switch on and remove WLW Manifest Link</h1>
            </div>
            <div  class="janitor_main_switch">    
    <div class="janitor_switch_name">
        <input type="checkbox" name="janitor_switch_name4" class="janitor_switch_name-checkbox" id="janitor_switch4" <?php if( get_option('janitor_switch_name4')=='on' ){ echo 'checked'; } ?>/>
            <label class="janitor_switch_name-label" for="janitor_switch4">
                <span class="janitor_switch_name-inner"></span>
                <span class="janitor_switch_name-switch"></span>
            </label>
    </div>
    </div>
        </div>
    </div>
        
    </div>
          
<!--//================================================================-->
         <div class="container1">    
    <div class="janitor_main_container">
        <div class="janitor_secondry_container hint--top hint--rounded" aria-label='Delete - website & comments rss feed link from head.'>
            <div class="janitor_main_text">
                <h1 for="sticky-element">Switch on and remove RSS Feed Links</h1>
            </div>
            <div  class="janitor_main_switch">    
    <div class="janitor_switch_name">
        <input type="checkbox" name="janitor_switch_name5" class="janitor_switch_name-checkbox" id="janitor_switch5" <?php if( get_option('janitor_switch_name5')=='on' ){ echo 'checked'; } ?>/>
            <label class="janitor_switch_name-label" for="janitor_switch5">
                <span class="janitor_switch_name-inner"></span>
                <span class="janitor_switch_name-switch"></span>
            </label>
    </div>
    </div>
        </div>
    </div>
        
    </div>
          
<!--//================================================================-->
   <div class="container1">    
    <div class="janitor_main_container">
        <div class="janitor_secondry_container hint--top hint--rounded" aria-label="Delete - <link rel='shortlink' href='http://www.example.com/' />">
            <div class="janitor_main_text">
                <h1 for="sticky-element">Switch on and remove Shortlink URL</h1>
            </div>
            <div  class="janitor_main_switch">    
    <div class="janitor_switch_name">
        <input type="checkbox" name="janitor_switch_name6" class="janitor_switch_name-checkbox" id="janitor_switch6" <?php if( get_option('janitor_switch_name6')=='on' ){ echo 'checked'; } ?>/>
            <label class="janitor_switch_name-label" for="janitor_switch6">
                <span class="janitor_switch_name-inner"></span>
                <span class="janitor_switch_name-switch"></span>
            </label>
    </div>
    </div>
        </div>
    </div>
        
    </div>
          
<!--//================================================================-->
   <div class="container1">    
    <div class="janitor_main_container">
        <div class="janitor_secondry_container hint--top hint--rounded" aria-label="Delete - <link rel='next' title='Post Title' href='http://example.com/some-slug/' />">
            <div class="janitor_main_text">
                <h1 for="sticky-element">Switch on and remove Prev & Next post links</h1>
            </div>
            <div  class="janitor_main_switch">    
    <div class="janitor_switch_name">
        <input type="checkbox" name="janitor_switch_name7" class="janitor_switch_name-checkbox" id="janitor_switch7" <?php if( get_option('janitor_switch_name7')=='on' ){ echo 'checked'; } ?>/>
            <label class="janitor_switch_name-label" for="janitor_switch7">
                <span class="janitor_switch_name-inner"></span>
                <span class="janitor_switch_name-switch"></span>
            </label>
    </div>
    </div>
        </div>
    </div>
        
    </div>
          
<!--//================================================================-->
 <div class="container1">    
    <div class="janitor_main_container">
        <div class="janitor_secondry_container hint--top hint--rounded" aria-label="Delete - <link rel='https://api.w.org/' href='http://example.com/wp/wordpress/wp-json/'>">
            <div class="janitor_main_text">
                <h1 for="sticky-element">Switch on and remove JSON URL</h1>
            </div>
            <div  class="janitor_main_switch">    
    <div class="janitor_switch_name">
        <input type="checkbox" name="janitor_switch_name8" class="janitor_switch_name-checkbox" id="janitor_switch8" <?php if( get_option('janitor_switch_name8')=='on' ){ echo 'checked'; } ?>/>
            <label class="janitor_switch_name-label" for="janitor_switch8">
                <span class="janitor_switch_name-inner"></span>
                <span class="janitor_switch_name-switch"></span>
            </label>
    </div>
    </div>
        </div>
    </div>
        
    </div>
          
<!--//================================================================-->
 <div class="container1">    
    <div class="janitor_main_container">
        <div class="janitor_secondry_container hint--top hint--rounded" aria-label="Delete - recent comment style from head.">
            <div class="janitor_main_text">
                <h1 for="sticky-element">Switch on and remove recent comment style</h1>
            </div>
            <div  class="janitor_main_switch">    
    <div class="janitor_switch_name">
        <input type="checkbox" name="janitor_switch_name9" class="janitor_switch_name-checkbox" id="janitor_switch9" <?php if( get_option('janitor_switch_name9')=='on' ){ echo 'checked'; } ?>/>
            <label class="janitor_switch_name-label" for="janitor_switch9">
                <span class="janitor_switch_name-inner"></span>
                <span class="janitor_switch_name-switch"></span>
            </label>
    </div>
    </div>
        </div>
    </div>
        
    </div>
          
<!--//================================================================-->
    </div>
        
        <div class="janitor_inner_form janitor_inner_form2">  
            <h2 class="janitor_form1h"><span>Optimizer</span></h2>
            
            <div class="container1">    
    <div class="janitor_main_container">
        <div class="janitor_secondry_container hint--top hint--rounded" aria-label='Delete version number from style and javascript file links.'>
            <div class="janitor_main_text">
                <h1 for="sticky-element">Switch on and remove version from scripts and style </h1>
            </div>
            <div  class="janitor_main_switch">    
    <div class="janitor_switch_name">
        <input type="checkbox" name="janitor_switch_name10" class="janitor_switch_name-checkbox" id="janitor_switch10" <?php if( get_option('janitor_switch_name10')=='on' ){ echo 'checked'; } ?>/>
            <label class="janitor_switch_name-label" for="janitor_switch10">
                <span class="janitor_switch_name-inner"></span>
                <span class="janitor_switch_name-switch"></span>
            </label>
    </div>
    </div>
        </div>
    </div>
        
    </div>
            
    <!--//================================================================-->
    
    <div class="container1">    
    <div class="janitor_main_container">
        <div class="janitor_secondry_container hint--top hint--rounded" aria-label='Move all Head JS scripts footer. This will enhance your website speed.'>
            <div class="janitor_main_text">
                <h1 for="sticky-element">Switch on and move JS scripts to footer</h1>
            </div>
            <div  class="janitor_main_switch">    
    <div class="janitor_switch_name">
        <input type="checkbox" name="janitor_switch_name11" class="janitor_switch_name-checkbox" id="janitor_switch11" <?php if( get_option('janitor_switch_name11')=='on' ){ echo 'checked'; } ?>/>
            <label class="janitor_switch_name-label" for="janitor_switch11">
                <span class="janitor_switch_name-inner"></span>
                <span class="janitor_switch_name-switch"></span>
            </label>
    </div>
    </div>
        </div>
    </div>
        
    </div>
            
    <!--//================================================================-->
    
    <div class="container1">    
    <div class="janitor_main_container">
        <div class="janitor_secondry_container hint--top hint--rounded" aria-label='Disable REST API. Check using this URL <?php echo site_url(); ?>/wp-json'>
            <div class="janitor_main_text">
                <h1 for="sticky-element">Switch on and disable REST API</h1>
            </div>
            <div  class="janitor_main_switch">    
    <div class="janitor_switch_name">
        <input type="checkbox" name="janitor_switch_name12" class="janitor_switch_name-checkbox" id="janitor_switch12" <?php if( get_option('janitor_switch_name12')=='on' ){ echo 'checked'; } ?>/>
            <label class="janitor_switch_name-label" for="janitor_switch12">
                <span class="janitor_switch_name-inner"></span>
                <span class="janitor_switch_name-switch"></span>
            </label>
    </div>
    </div>
        </div>
    </div>
        
    </div>
            
    <!--//================================================================-->
    
    <div class="container1">    
    <div class="janitor_main_container">
        <div class="janitor_secondry_container hint--top hint--rounded" aria-label='Disable oembed.'>
            <div class="janitor_main_text">
                <h1 for="sticky-element">Switch on and disable oembed</h1>
            </div>
            <div  class="janitor_main_switch">    
    <div class="janitor_switch_name">
        <input type="checkbox" name="janitor_switch_name13" class="janitor_switch_name-checkbox" id="janitor_switch13" <?php if( get_option('janitor_switch_name13')=='on' ){ echo 'checked'; } ?>/>
            <label class="janitor_switch_name-label" for="janitor_switch13">
                <span class="janitor_switch_name-inner"></span>
                <span class="janitor_switch_name-switch"></span>
            </label>
    </div>
    </div>
        </div>
    </div>
        
    </div>
            
    <!--//================================================================-->
    
    <div class="container1">    
    <div class="janitor_main_container">
        <div class="janitor_secondry_container hint--top hint--rounded" aria-label='Disable XMLRpc.'>
            <div class="janitor_main_text">
                <h1 for="sticky-element">Switch on and disable XMLRpc</h1>
            </div>
            <div  class="janitor_main_switch">    
    <div class="janitor_switch_name">
        <input type="checkbox" name="janitor_switch_name14" class="janitor_switch_name-checkbox" id="janitor_switch14" <?php if( get_option('janitor_switch_name14')=='on' ){ echo 'checked'; } ?>/>
            <label class="janitor_switch_name-label" for="janitor_switch14">
                <span class="janitor_switch_name-inner"></span>
                <span class="janitor_switch_name-switch"></span>
            </label>
    </div>
    </div>
        </div>
    </div>
        
    </div>
            
    <!--//================================================================-->
    
    <div class="container1">    
    <div class="janitor_main_container">
        <div class="janitor_secondry_container hint--top hint--rounded" aria-label='Optimize HTML output.'>
            <div class="janitor_main_text">
                <h1 for="sticky-element">Switch on and optimize HTML Output</h1>
            </div>
            <div  class="janitor_main_switch">    
    <div class="janitor_switch_name">
        <input type="checkbox" name="janitor_switch_name15" class="janitor_switch_name-checkbox" id="janitor_switch15" <?php if( get_option('janitor_switch_name15')=='on' ){ echo 'checked'; } ?>/>
            <label class="janitor_switch_name-label" for="janitor_switch15">
                <span class="janitor_switch_name-inner"></span>
                <span class="janitor_switch_name-switch"></span>
            </label>
    </div>
    </div>
        </div>
    </div>
        
    </div>
    <!--//================================================================-->
    
        </div> 
        <div class="janitor_submit_button">
        <input type="submit" value="Save Setting" id="publish" class="button button-primary button-large button_janitor" name="janitor_save_seting">
        </div>
    </form>
</div>  


<?php
}

add_action('admin_init', 'janitor_form_submit');
function janitor_form_submit(){
	
	if( !isset($_POST['janitor_save_seting'])){return;}
	
	unset($_POST['janitor_save_seting']);
		
        for($i=1;$i<=17;$i++){
            @$janitortxtname = $_POST["janitor_switch_name$i"];
            update_option( "janitor_switch_name$i", trim($janitortxtname) );
        }
        add_action( 'admin_notices', 'janitor_admin_message' );
	return;
}
function janitor_admin_message(){
    ?>
    <div class="updated notice notice-success is-dismissible">
        <p><?php _e( 'Settings saved successfully.', 'hghdhdf' ); ?></p>
    </div>
    <?php
}
function janitortnf_footer_admin () {
    global $post;
    @$screen = get_current_screen();
    if($screen->parent_file == 'Janitor'){
?>
<style>
.logocont{ margin-bottom: -28px;}
.logocont .tnfcreated{
   font-size:15px;
  
}
.logocont a{text-decoration: none;font-size:15px; color: #1b1b1b;}
.logocont a:hover{text-decoration: none !important;}
.logocont a:hover{color: #0073aa;}
</style>

     <div class="container-fluid logocont">
           <div class="tnfcreated" > Created by : </div>
                <a href="http://teknikforce.com/"><img class="tekink" src="<?= plugins_url("images/logo.png",__FILE__); ?>" title="Teknikforce" alt="Teknikforce" style="cursor: pointer;outline:none;width: 160px;margin-bottom: -4px;" onclick="window.external.teknikforce();">
                    : http://teknikforce.com 
                </a>
    </div>  
    <?php
    }
}
add_filter('admin_footer_text', 'janitortnf_footer_admin');